Summary: BFD based kernel module tools
Name: insmod-bfd
Version: 0.2
Release: 1
Copyright: GPL
ExclusiveArch: axp
ExclusiveOS: Linux
Group: Utilities/System
Source: ftp://ftp.azstarnet.com/pub/linux/axp/sys/insmod-bfd-0.2.tar.gz
Patch: insmod-bfd-0.2-redhat.patch

%description
The Linux kernel allows new kernel pieces to be loaded and old ones to
be unloaded while the kernel continues to run. These loadable piecs
are called modules, and can include device drivers and filesystems among
other things. This package includes program to load and unload programs
manually through binary file descriptors (BFD), which makes these versions
highly portable.

%prep
%setup
%patch -p1

%build
make RPM_OPT_FLAGS=$(RPM_OPT_FLAGS)

%install
make install
strip /sbin/insmod /sbin/rmmod

%files
/sbin/insmod
/sbin/lsmod
/sbin/rmmod
/usr/lib/ldscripts/module.lds
/usr/man/man1/insmod.1
/usr/man/man1/lsmod.1
/usr/man/man1/rmmod.1
/usr/man/man2/modules.2
